@import url('https://fonts.googleapis.com/css2?family=Architects+Daughter&display=swap');
*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}
ul{
    list-style-type: none;
}
nav{
    padding: 5px 20px;
}
.container{
    width: 100%;
}
li, a, button{
    font-family: "Architects Daughter", sans-serif;
    font-weight: 500;
    color: #edf0f1;
    text-decoration: none;
    list-style-type: none;
}
.logo a{
   font-family: "Architects Daughter", sans-serif;
   font-size: 22px;
}
header{
    padding: 30px 10%;
    background-color: rgb(122, 36, 161);
    border-bottom: 2px solid rgb(42, 114, 223);
    border-top: 50px solid rgb(42, 114, 223);
    position: absolute;
    top: 0;
    width: 100%;
}

/* Mobile Menu */
.menu{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
}
.menu li{
    padding: 15px 5px;
    font-size: 12px;
}
.menu li a{
    transition: all 1s ease 0s;
    display: block;
}
.menu .logo a{
    display: block;
}
.menu li, a:hover{
    color: rgb(158, 173, 240);
}
.toggle{
    cursor: pointer;
    order: 2;
    
}
.item.button{
    order: 2;
    width: auto;
    display: block;
}
.item{
    width: 100%;
    text-align: center;
    order: 3;
    display: none;
}
.item.active{
    display: block;
}
.item.button a{
    padding: 5px 10px;
    border-radius: 30px;
}
.button.secondary{
    background: none;
    border: 0;
}
.button a{
    text-decoration: none;
    background:  rgb(42, 114, 223);
    border: 1px solid rgb(42, 114, 223);
}
.button.secondary a{
    background: transparent;
}
.button a:hover{
    transition: all .25s;
}
.button:not(.secondary) a:hover{
    background: rgb(42, 114, 223);
    border-color: rgb(122, 36, 161);
}
.button.secondary a:hover{
    color: #ddd;
}
.bars{
    background-color: rgb(42, 114, 223);
    display: inline-block;
    height: 2px;
    position: relative;
    width: 18px;
}
.bars::before,.bars::after{
    background-color: rgb(42, 114, 223);
    content: "";
    display: inline-block;
    height: 2px;
    position: absolute;
    width: 18px;
}
.bars::before{
    top: 6px;
}
.bars::after{
    bottom: 6px;
}

#newsletter{
    background-color: rgb(42, 114, 223);
    border-bottom: 2px solid rgb(122, 36, 161);
    color: #ddd;
}
.section_two{
    height: 800px;
    background: #ddd;
    border-bottom: 1px solid rgb(42, 114, 223);
    margin-top: 100;
  
}
.section_two h1{
    padding-top: 50px;
    color: rgb(42, 114, 223);
    font-size: 34px;
    font-family: "Architects Daughter", sans-serif;
    display: flex;
    justify-content: center;
    text-shadow: rgb(122, 36, 161) 2px 1px;
}
.section_two h3{
    padding-top: 20px;
    color: rgb(122, 36, 161);
    font-size: 20px;
    font-family: "Architects Daughter", sans-serif;
    display: flex;
    justify-content: center;
    margin-bottom: 50px;
}
.section_three{
    height: 700px;
    background: #ddd;
    
}
.section_three h1{
    padding-top: 50px;
    color: rgb(42, 114, 223);
    font-size: 34px;
    font-family: "Architects Daughter", sans-serif;
    display: flex;
    justify-content: center;
    text-shadow: rgb(122, 36, 161) 2px 1px;
}
.section_three h3{
    padding-top: 20px;
    color: rgb(122, 36, 161);
    font-size: 20px;
    font-family: "Architects Daughter", sans-serif;
    display: flex;
    justify-content: center;
}
.cgimg{
    width: 600px;
}
footer{
    font-family: "Architects Daughter", sans-serif;
    background-color: rgb(42, 114, 223);
    border-top: 2px solid rgb(122, 36, 161);
    color: #ddd;
    padding: 25px;
    display: flex;
    justify-content: center;
}

/* Tablet Menu */
@media all and (min-width: 150px){
    .menu{
        justify-content: center;
    }
    header{
        position: fixed;
        top: 0;
        width: 100%;
    }
    .logo{
        flex: 1;
    }
    .item.button{
        width: auto;
        order: 1;
        display: block;
    }
    .toggle{
        order: 2;
    }
    .button.secondary{
        border: 0;
    }
    .button a{
        text-decoration: none;
        background:  rgb(42, 114, 223);
        border: 1px solid rgb(42, 114, 223);
    }
    .button.secondary a{
        background: transparent;
    }
    .button a:hover{
        transition: all .25s;
    }
    .button:not(.secondary) a:hover{
        background: rgb(42, 114, 223);
        border-color: rgb(122, 36, 161);
    }
    .button.secondary a:hover{
        color: #ddd;
    }
    .section_two .cgimg{
        height: 550px;
        margin-left: 250px;
    }
 
}

/* Desktop View */
@media all and (min-width: 768px){
    .item{
        display: block;
        width: auto;
    }
    .toggle{
        display: none;
    }
    .logo{
        order: 0;
    }
    .item{
        order: 2;
    }
    .button{
        order: 3;
    }
    .menu li{
        padding: 15px 10px;
    }
    .menu li.button{
        padding-right: 0;
    }

}
